List conversation messages
curl --request GET \
--url https://api.ando.so/v1/conversations/{conversationId}/messages \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/conversations/{conversationId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/conversations/{conversationId}/messages"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"conversation_id": "conv_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_name": "Launch planning",
"items": [
{
"id": "msg_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_id": "conv_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_name": "Launch planning",
"authorWorkspaceMembershipId": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"author_id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"author_name": "Alex Kim",
"content": "Validated the route migration.",
"image_urls": [],
"reactions": [
{
"emoji_text": ":thumbsup:",
"count": 2
}
],
"replies_count": 1,
"created_at": "2026-05-14T08:00:00.000Z"
}
],
"page_info": {
"end_cursor": "2026-05-14T07:45:00.000Z",
"has_next_page": true,
"has_previous_page": false,
"next_cursor": "2026-05-14T08:00:00.000Z",
"start_cursor": "2026-05-14T08:00:00.000Z"
}
},
"conversation_id": "conv_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_name": "Launch planning",
"items": [
{
"id": "msg_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_id": "conv_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_name": "Launch planning",
"authorWorkspaceMembershipId": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"author_id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"author_name": "Alex Kim",
"content": "Validated the route migration.",
"image_urls": [],
"reactions": [
{
"emoji_text": ":thumbsup:",
"count": 2
}
],
"replies_count": 1,
"created_at": "2026-05-14T08:00:00.000Z"
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": false,
"startCursor": "2026-05-14T08:00:00.000Z",
"endCursor": "2026-05-14T07:45:00.000Z"
}
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}Returns messages in a conversation.
GET
https://api.ando.so/v1
/
conversations
/
{conversationId}
/
messages
List conversation messages
curl --request GET \
--url https://api.ando.so/v1/conversations/{conversationId}/messages \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/conversations/{conversationId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/conversations/{conversationId}/messages"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"conversation_id": "conv_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_name": "Launch planning",
"items": [
{
"id": "msg_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_id": "conv_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_name": "Launch planning",
"authorWorkspaceMembershipId": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"author_id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"author_name": "Alex Kim",
"content": "Validated the route migration.",
"image_urls": [],
"reactions": [
{
"emoji_text": ":thumbsup:",
"count": 2
}
],
"replies_count": 1,
"created_at": "2026-05-14T08:00:00.000Z"
}
],
"page_info": {
"end_cursor": "2026-05-14T07:45:00.000Z",
"has_next_page": true,
"has_previous_page": false,
"next_cursor": "2026-05-14T08:00:00.000Z",
"start_cursor": "2026-05-14T08:00:00.000Z"
}
},
"conversation_id": "conv_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_name": "Launch planning",
"items": [
{
"id": "msg_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_id": "conv_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_name": "Launch planning",
"authorWorkspaceMembershipId": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"author_id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"author_name": "Alex Kim",
"content": "Validated the route migration.",
"image_urls": [],
"reactions": [
{
"emoji_text": ":thumbsup:",
"count": 2
}
],
"replies_count": 1,
"created_at": "2026-05-14T08:00:00.000Z"
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": false,
"startCursor": "2026-05-14T08:00:00.000Z",
"endCursor": "2026-05-14T07:45:00.000Z"
}
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}Authorizations
AndoApiKeyBearerApiKey
Workspace API key. Current accepted keys use the ando_sk_ prefix.
Path Parameters
Conversation identifier.
Query Parameters
Maximum number of records to return.
Required range:
x >= 1Cursor or ISO timestamp before which results should be returned.
Response
Conversation messages.
Conversation messages response with the standard public data envelope plus legacy top-level aliases.
Conversation identifier.
Example:
"01jzn7e61x3a7v9h2r7t2m3q4p"
Conversation name.
Standard conversation messages payload.
Show child attributes
Show child attributes
Messages.
Show child attributes
Show child attributes
Current compatibility pagination metadata with camelCase field names.
Show child attributes
Show child attributes
⌘I